<id>
Users Today (german du patch) for YaBB 2.5 Anniversary Edition
</id>

<version>
2.2
</version>

<mod info>
**Original code and concept by Daicogra for YaBB 1.1.  Re-coding to work with YaBB 2.4 as well as "Enhancements" to this mod have been made by Brian Longo, Jeffrey Man and Detlef Pilzecker.  I DO NOT take credit for the original concept of this mod.  However, I will take credit for the enhancements to this mod.

**Overview:

Daicoga's original version:
-- Count the number of members that visit your board on any given day.  At midnight, the counter is reset to zero.

My "enhancements":
-- Added the capability to count guests.  Counter for guests resets to zero at midnight.
-- Option to show or not show the number of guests along with the number of members in the Users Online Today box in Board Index.
-- Option to allow or disallow guests from seeing the Users Online Today box in Board Index.
-- Admin has the option of viewing the Guest IP Log in the Users Today section of the Admin Center below configuration box.
-- Admin has the option of enabling number of guests in Board Index as a link to go directly to the Users Today section of the Admin Center to view the Guest IP Log.
-- Admin can see user/guest stats for forum by day (log file).
-- Admin can view when most users/guests came to their board, as well as total number of users/guests and average users/guests per day.
-- Admin can choose to see log file for X days via an input value.
-- Admin can choose to use this as a "Log Only" mod where the Users Today block will not show up in the Board Index, yet still keep user/guest stats for the board.

Mod Package:
=============
- UserToday_V2_1_yabb24.mod
- UserToday_V2_1_germanpatch-yabb24mod
- UserToday_V2_1_germandupatch-yabb24mod
Installation:
=============
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.

cgi-bin/yabb2/AdminIndex.pl
cgi-bin/yabb2/YaBB.pl
cgi-bin/yabb2/Admin/AdminSubList.pl (ASCII)
cgi-bin/yabb2/Admin/ManageTemplates.pl (ASCII)
cgi-bin/yabb2/Admin/ModList.pl (ASCII)
cgi-bin/yabb2/Languages/English/Admin.lng (ASCII)
cgi-bin/yabb2/Sources/BoardIndex.pl (ASCII)
cgi-bin/yabb2/Sources/SubList.pl (ASCII)
cgi-bin/yabb2/Templates/default/BoardIndex.template (ASCII)
cgi-bin/yabb2/Templates/yabb21/BoardIndex.template (ASCII)

Upload files from Zip Package.
cgi-bin/yabb2/Admin/UsersTodayAdmin.pl (ASCII)
cgi-bin/yabb2/Languages/English/UsersToday.lng (ASCII)
cgi-bin/yabb2/Sources/UsersToday.pl (ASCII)
</mod info>

<author>
Daicogra (1.1), Brian Longo (2.x)
</author>

<homepage>
http://www.eyeontoccoa.com/mods
</homepage>

<edit file>
Languages/German_Du/Admin.lng
</edit file>

<search for>
);

%smtp_txt = (
</search for>

<add before>
'userstoday_set' => 'Users Today Einstellungen',
'userstoday_set1' => 'Deine Users Today Einstellungen bearbeiten',
</add before>